[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TSimpleEvent

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Simple, anonymous event

## Declaration

Source position: syncobjs.pp line 76

`type TSimpleEvent = class(TEventObject)`
`constructor Create;` |  | Creates a new TSimpleEvent instance
`end;`

## Inheritance

`TSimpleEvent` |  | Simple, anonymous event
`TEventObject` |  | Event propagation object
`THandleObject` |  | Class encapsulating an operating system handle
`TSynchroObject` |  | Abstract synchronization object
`TObject`

## Description

TSimpleEvent is a simple descendent of the TEventObject class. It creates an event with no name, which must be reset manually, and which is initially not set.

## See also

TEventObject |  | Event propagation object
TSimpleEvent.Create |  | Creates a new TSimpleEvent instance

Documentation generated on: Feb 26 2014